| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes
Tp::MemberFunctor2< R, T, Arg1, Arg2 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

List of all members.

## Public Types

- typedef R(T::* FunctionType )(Arg1, Arg2)
- typedef R ResultType

## Public Member Functions

- MemberFunctor2 (T *object, FunctionType fn)
- ResultType operator() (Arg1 a1, Arg2 a2) const

## Public Attributes

- T * object
- FunctionType fn

### template<class R, class T, class Arg1, class Arg2>
struct Tp::MemberFunctor2< R, T, Arg1, Arg2 >

## Member Typedef Documentation

template<class R, class T, class Arg1, class Arg2>

typedef R(T::* Tp::MemberFunctor2< R, T, Arg1, Arg2 >::FunctionType)(Arg1, Arg2)

template<class R, class T, class Arg1, class Arg2>

typedef R Tp::MemberFunctor2< R, T, Arg1, Arg2 >::ResultType

## Constructor & Destructor Documentation

template<class R, class T, class Arg1, class Arg2>

Tp::MemberFunctor2< R, T, Arg1, Arg2 >::MemberFunctor2 | ( | T * | object,
|  | FunctionType | fn
| ) |  | `[inline]`

## Member Function Documentation

template<class R, class T, class Arg1, class Arg2>

ResultType Tp::MemberFunctor2< R, T, Arg1, Arg2 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2
| ) |  | const`[inline]`

## Member Data Documentation

template<class R, class T, class Arg1, class Arg2>

T* Tp::MemberFunctor2< R, T, Arg1, Arg2 >::object

template<class R, class T, class Arg1, class Arg2>

FunctionType Tp::MemberFunctor2< R, T, Arg1, Arg2 >::fn